Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors
Class AbstractXmlInspector

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.AbstractXmlInspector

All Implemented Interfaces:
  XmlInspector, XmlLocationListener, Inspector

Direct Known Subclasses:
  AttachmentsInspector, HttpHeadersInspector, MockResponseScriptInspector, ResponseSSLInspector

    public abstract class AbstractXmlInspector

extends java.lang.Object
implements XmlInspector

Abstract base-class to be extended by XmlInspectors

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.support.components.Inspector
`DESCRIPTION_PROPERTY, ENABLED_PROPERTY, ICON_PROPERTY, TITLE_PROPERTY`

Constructor Summary
`protected` | `AbstractXmlInspector(java.lang.String title, java.lang.String description, boolean enabled, java.lang.String inspectorId)`

Method Summary
`void` | `activate()`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `deactivate()`
`java.lang.String` | `getDescription()`
`XmlEditor` | `getEditor()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getInspectorId()`
`java.lang.String` | `getTitle()`
`void` | `init(XmlEditor editor)`
`boolean` | `isEnabled()`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlLocationListener
`locationChanged`

Methods inherited from interface com.eviware.soapui.support.components.Inspector
`getComponent`

Constructor Detail

### AbstractXmlInspector

    protected AbstractXmlInspector(java.lang.String title,
                                   java.lang.String description,
                                   boolean enabled,
                                   java.lang.String inspectorId)

Method Detail

### getInspectorId

    public final java.lang.String getInspectorId()

  Specified by:
    `getInspectorId` in interface `Inspector`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `Inspector`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `Inspector`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `Inspector`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `Inspector`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Inspector`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Inspector`

### setDescription

    public void setDescription(java.lang.String description)

### setTitle

    public void setTitle(java.lang.String title)

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `Inspector`

### setEnabled

    public void setEnabled(boolean enabled)

### init

    public void init(XmlEditor editor)

  Specified by:
    `init` in interface `XmlInspector`

### getEditor

    public XmlEditor getEditor()

  Specified by:
    `getEditor` in interface `XmlInspector`

### release

    public void release()

  Specified by:
    `release` in interface `Inspector`

### activate

    public void activate()

  Specified by:
    `activate` in interface `Inspector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.